---
title: "Creates a new device"
slug: "creates-a-new-device"
updated: 2025-07-21T18:55:46Z
published: 2025-07-21T18:55:54Z
canonical: "docs.neeve.ai/creates-a-new-device"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt
> Use this file to discover all available pages before exploring further.
# Creates a new device
Post/api/v1/devices
Adds a new device to the database with the specified parameters.
SecurityHTTPType bearer
Body parameters
Device object that needs to be added to the database
Expand Allobject descriptionstring
deviceTypestring
hostnamestring
iconobject namestring
ipstring
ipTypestring Exampleipv4
locationAttributesobject citystring
countrystring
statestring
streetstring
zipcodestring
namestring
orgIdstring
siteobject idstring
typestring Examplenode/cluster
tagsobject keystring
valuestring
Responses200
OK
Expand Allobject authorizationboolean
dataobject idinteger
messagestring
namestring
error_codeinteger
error_messagestring
error_statusboolean Examplefalse
400
Value Error
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
401
Unauthorized
object error_codeinteger
error_messagestring
error_statusboolean
403
Forbidden - Device delete request is in progress
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
404
Not Found
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
409
Device already exists.
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean
500
Internal Server Error
Expand Allobject authorizationboolean Exampletrue
dataobject messagestring
error_codeinteger | null
error_messagestring | null
error_statusboolean